var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useCallback } from 'react';
import { Checkbox as AntdCheckbox } from 'antd';
import { Labelled } from '../labelled';
export const Checkbox = (_a) => {
    var { onChange = () => void 0, onAccept = () => void 0, value } = _a, props = __rest(_a, ["onChange", "onAccept", "value"]);
    const handleChange = useCallback((event) => {
        onChange(event.target.checked);
        onAccept();
    }, [onChange, onAccept]);
    return (_jsx(AntdCheckbox, Object.assign({ onChange: handleChange, checked: value }, props)));
};
export const LabelledCheckbox = (_a) => {
    var { label } = _a, props = __rest(_a, ["label"]);
    return (_jsx(Labelled, { label: label, children: _jsx(Checkbox, Object.assign({}, props)) }));
};
